Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.5.0 Reverse Schema Tool
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.solarmetric.rd.kodo.impl.jdbc.schema
Class DataSourceFactory

    java.lang.Object
      |
      +--com.solarmetric.rd.kodo.impl.jdbc.schema.DataSourceFactory

public class DataSourceFactory
extends java.lang.Object

Factory for `DataSourceFactory.KodoDataSource` objects. The factory uses the supplied configuration to obtain a 3rd-party datasource or to create one, and to setup prepared statement caching.

Nested Class Summary
`static class` | `DataSourceFactory.KodoDataSource` A data source wrapper with kodo-specific behavior; namely, it allows the dictionary to wrap connections, and delegates to the no-args `DataSourceFactory.KodoDataSource.getConnection()` method if the `DataSourceFactory.KodoDataSource.getConnection(String,String)` method is called with null user data.

Constructor Summary
`DataSourceFactory()`

Method Summary
`static DataSourceFactory.KodoDataSource` | `configureDataSource(javax.sql.DataSource ds, com.solarmetric.rd.kodo.impl.jdbc.conf.JDBCConfiguration conf)` Configure the given data source.
`static javax.sql.DataSource` | `createDataSource(com.solarmetric.rd.kodo.impl.jdbc.conf.JDBCConfiguration conf, boolean pool)` Create a datasource using the given configuration.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DataSourceFactory

    public DataSourceFactory()

Method Detail

### createDataSource

    public static javax.sql.DataSource createDataSource(com.solarmetric.rd.kodo.impl.jdbc.conf.JDBCConfiguration conf,
                                                        boolean pool)

  Create a datasource using the given configuration.

### configureDataSource

    public static DataSourceFactory.KodoDataSource configureDataSource(javax.sql.DataSource ds,
                                                                       com.solarmetric.rd.kodo.impl.jdbc.conf.JDBCConfiguration conf)

  Configure the given data source.

Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.5.0 Reverse Schema Tool
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001,2002,2003 SolarMetric, Inc. All Rights Reserved.